namespace CSR.Application.Interfaces;

public interface IUserService
{
  public record CreateUserResult(Domain.Entities.User? User, string? ErrorMessage);

  public void CreateUser(string username, string email, string password, bool isAdmin = false);
}
